import { LevelBlockCondition, LevelLeverCondition } from "../Commandeer/level/levelTypes";
import { vector3 } from "../Commandeer/utils/vectorUtils";
import { MinecraftBlockTypes } from "../vanilla-data/mojang-block";

let mission2part2Conditions: LevelBlockCondition = {
  conditions: [
    {
      position: vector3(2467, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2468, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2469, -2, 11),
      block: MinecraftBlockTypes.HornCoralBlock,
    },
    {
      position: vector3(2470, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2471, -2, 11),
      block: MinecraftBlockTypes.HornCoralBlock,
    },
    {
      position: vector3(2472, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
    {
      position: vector3(2473, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
    {
      position: vector3(2474, -2, 11),
      block: MinecraftBlockTypes.HornCoralBlock,
    },
    {
      position: vector3(2475, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
    {
      position: vector3(2476, -2, 11),
      block: MinecraftBlockTypes.HornCoralBlock,
    },
    {
      position: vector3(2477, -2, 11),
      block: MinecraftBlockTypes.HornCoralBlock,
    },
    {
      position: vector3(2478, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2479, -2, 11),
      block: MinecraftBlockTypes.FireCoralBlock,
    },
    {
      position: vector3(2480, -2, 11),
      block: MinecraftBlockTypes.RedNetherBrick,
    },
  ],
};

export { mission2part2Conditions };
